# Emacs base
Lightweight configuration of emacs with basic utilities

Support C, C++, PHP, Python, ECMAScript, HTML, Sass, less, Markdown

![emacs-base](https://img.fenixzone.net/i/zOJSwUE.png?raw=true "emacs-base")

### Installation

First step:

    M-x package-refresh-contents [RET]

#### Main mirror

1. `git clone https://c.fridu.us/software/emacs-base.git ~/.emacs.d/`
2. `emacs --batch --eval='(load-file "~/.emacs.d/init.el")'`

### Markdown Mode
- Require installed markdown in distro GNU+Linux, example:

```console
# apt-get install markdown
```

```console
# pacman -S markdown
```

### Flycheck Mode
- Require installed the languages checking, example:

```console
# pacman -S shellcheck
```

```console
# pacman -S eslint
```

```console
# pacman -S python-pylint
```

### License
- [GLPv3](LICENSE)
